--天墉城
--任務鏈

--脚本号
x101001_g_scriptId=101001
--環任務id MissionRoundConfigId
x101001_g_missionRoundConfigId = 2
x101001_g_missionRoundConfigId1 = 1
--事件交互入口
function x101001_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"我秦家男兒，站得直行得正，用不著外人說教。")

	AddNumText(scene,x101001_g_scriptId,"環任務",-2,0)
--	AddNumText(scene,x101001_g_scriptId,"任務鏈",-2,1)
--	AddNumText(scene,x101001_g_scriptId,"場景buff",-2,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end




--事件列表选中一项

function x101001_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		AcceptRoundMission(scene,selfId,x101001_g_missionRoundConfigId)
	elseif index==1 then
		AcceptRoundMission(scene,selfId,x101001_g_missionRoundConfigId1)
	elseif index==2 then
		SetSceneBuff(scene,12,67,207,2)	
		print(selfId)
	end

end